Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
sm2.cpp File Reference
`#include <botan/sm2.h>`
`#include <botan/internal/pk_ops_impl.h>`
`#include <botan/internal/point_mul.h>`
`#include <botan/loadstor.h>`
`#include <botan/numthry.h>`
`#include <botan/keypair.h>`
`#include <botan/hash.h>`
`#include <botan/parsing.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Functions
std::vector< uint8_t > | Botan::sm2_compute_za (HashFunction &hash, const std::string &user_id, const EC_Group &domain, const PointGFp &pubkey)

## Variable Documentation

const BigInt& m_da_inv

Definition at line 129 of file sm2.cpp.

Referenced by Botan::SM2_PrivateKey::get_da_inv().

secure_vector<uint8_t> m_digest

Definition at line 132 of file sm2.cpp.

const EC_Group m_group

Definition at line 127 of file sm2.cpp.

const PointGFp_Multi_Point_Precompute m_gy_mul

Definition at line 202 of file sm2.cpp.

std::unique_ptr<HashFunction> m_hash

Definition at line 133 of file sm2.cpp.

std::vector<BigInt> m_ws

Definition at line 134 of file sm2.cpp.

const BigInt& m_x

Definition at line 128 of file sm2.cpp.

std::vector<uint8_t> m_za

Definition at line 131 of file sm2.cpp.